# Update Tenant Device Model

Update a Tenant Device Model based on given parameters

Endpoint: PUT /v1/foundry/device-models/{device_model_id}/
Version: 1.0.0
Security: AuthToken

## Path parameters:

  - `device_model_id` (string, required)
    An UUID specifying the Device Model

## Request fields (application/json):

  - `auto_update` (boolean)
    Enables/disables automatic updates for the device model. The other properties (latest and locked_build_id) are processed only if autoupdate is set to true.

  - `latest` (boolean)
    Configures Foundry service to automatically lock to the latest approved build (whenever available) if set to true.

  - `locked_build_id` (string)
    Specifies the UUID of the build which needs to be locked for automatic updates.

## Response 200 fields (application/json):

  - `data` (object)

  - `data.build_id` (string)

  - `data.created_at` (string)

  - `data.updated_at` (string)

  - `data.deprecated_on` (string)

  - `data.created_by` (string)

  - `data.updated_by` (string)

  - `data.ab_update` (boolean)

  - `data.android_major_version` (integer)

  - `data.android_minimum_sdk_level` (integer)

  - `data.android_minor_version` (string)

  - `data.android_sdk_level` (integer)

  - `data.build_arch` (string)

  - `data.build_flavor` (string)

  - `data.build_hash` (string)

  - `data.build_ota_hash` (string)

  - `data.build_job_url` (string)

  - `data.build_job_id` (integer)

  - `data.build_fingerprint_hash` (string)

  - `data.build_type` (string)

  - `data.build_url` (string)

  - `data.build_update_meta_data` (string)

  - `data.build_update_url` (string)

  - `data.file_size_kb` (integer)

  - `data.foundation_build_number` (integer)

  - `data.foundation_major_number` (integer)

  - `data.foundation_minor_number` (integer)

  - `data.foundation_name` (string)

  - `data.model_display_name` (string)

  - `data.build_job_params` (string)

  - `data.prebuilt_app_info` (string)

  - `data.release_notes` (string)

  - `data.release_rating` (string)

  - `data.source_build_id` (string)

  - `data.build_state` (string)
    Enum: "released", "to_be_deprecated", "unavailable"

  - `data.device_model_id` (string)

  - `data.approved` (boolean)

## Response 400 fields (application/json):

  - `code` (integer, required)

  - `message` (string, required)

  - `content` (object)

## Response 401 fields (application/json):

  - `code` (integer, required)

  - `message` (string, required)

  - `content` (object)

## Response 403 fields (application/json):

  - `code` (integer, required)

  - `message` (string, required)

  - `content` (object)

## Response 404 fields (application/json):

  - `code` (integer, required)

  - `message` (string, required)

  - `content` (object)


